Bug 860025 - [abrt] nepomuk-core-4.9.1-1.fc17: QObject::~QObject: Process /usr/bin/nepomukservicestub was killed by signal 11 (SIGSEGV)
[abrt] nepomuk-core-4.9.1-1.fc17: QObject::~QObject: Process /usr/bin/nepomuk...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nepomuk-core (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
abrt_hash:a484ea3627e9aaa02ef472b8f5d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 12:16 EDT by Lester Petrie
Modified: 2013-07-31 21:33 EDT (History)
76 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:32:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (363 bytes, text/plain)
2012-09-24 12:16 EDT, Lester Petrie
no flags Details
File: environ (5.84 KB, text/plain)
2012-09-24 12:16 EDT, Lester Petrie
no flags Details
File: backtrace (26.51 KB, text/plain)
2012-09-24 12:16 EDT, Lester Petrie
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-24 12:16 EDT, Lester Petrie
no flags Details
File: cgroup (128 bytes, text/plain)
2012-09-24 12:16 EDT, Lester Petrie
no flags Details
File: maps (69.30 KB, text/plain)
2012-09-24 12:16 EDT, Lester Petrie
no flags Details
File: dso_list (10.15 KB, text/plain)
2012-09-24 12:16 EDT, Lester Petrie
no flags Details
File: var_log_messages (427 bytes, text/plain)
2012-09-24 12:16 EDT, Lester Petrie
no flags Details
File: open_fds (228 bytes, text/plain)
2012-09-24 12:16 EDT, Lester Petrie
no flags Details

  None (edit)
Description Lester Petrie 2012-09-24 12:16:17 EDT
Description of problem:
This occurred when I logged off.  It happens very often when I log off, but not 100%.  It also happens very often when I log on.

Version-Release number of selected component:
nepomuk-core-4.9.1-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        /usr/bin/nepomukservicestub nepomukstorage
crash_function: QObject::~QObject
kernel:         3.5.3-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #1 QObject::~QObject at kernel/qobject.cpp
: #3 signalHandler at /usr/src/debug/kde-runtime-4.8.5/nepomuk/servicestub/main.cpp
: #4 (anonymous namespace)::signalHandler at /usr/src/debug/kde-runtime-4.8.5/nepomuk/servicestub/main.cpp
: #6 select at ../sysdeps/unix/syscall-template.S
: #7 qt_safe_select at kernel/qcore_unix.cpp
: #8 select_msecs at io/qprocess_unix.cpp
: #9 QProcessPrivate::waitForFinished at io/qprocess_unix.cpp
: #10 QProcess::waitForFinished at io/qprocess.cpp
: #11 Soprano::VirtuosoController::shutdown at /usr/src/debug/soprano-2.7.6/backends/virtuoso/virtuosocontroller.cpp
: #12 Soprano::VirtuosoController::~VirtuosoController at /usr/src/debug/soprano-2.7.6/backends/virtuoso/virtuosocontroller.cpp
Comment 1 Lester Petrie 2012-09-24 12:16:19 EDT
Created attachment 616639 [details]
File: core_backtrace
Comment 2 Lester Petrie 2012-09-24 12:16:21 EDT
Created attachment 616640 [details]
File: environ
Comment 3 Lester Petrie 2012-09-24 12:16:23 EDT
Created attachment 616641 [details]
File: backtrace
Comment 4 Lester Petrie 2012-09-24 12:16:25 EDT
Created attachment 616642 [details]
File: limits
Comment 5 Lester Petrie 2012-09-24 12:16:26 EDT
Created attachment 616643 [details]
File: cgroup
Comment 6 Lester Petrie 2012-09-24 12:16:28 EDT
Created attachment 616644 [details]
File: maps
Comment 7 Lester Petrie 2012-09-24 12:16:30 EDT
Created attachment 616645 [details]
File: dso_list
Comment 8 Lester Petrie 2012-09-24 12:16:31 EDT
Created attachment 616646 [details]
File: var_log_messages
Comment 9 Lester Petrie 2012-09-24 12:16:33 EDT
Created attachment 616647 [details]
File: open_fds
Comment 10 Rex Dieter 2012-09-24 12:41:44 EDT
Interesting backtrace, claims to be from kde-4.9.1 and soprano-2.8.0, except, it contains references to

/usr/src/debug/kde-runtime-4.8.5/nepomuk/servicestub/main.cpp
and
/usr/src/debug/soprano-2.7.6/backends/virtuoso/virtuosocontroller.cpp
Comment 11 Lester Petrie 2012-09-24 13:05:50 EDT
This case happened when I logged off to reboot after updating to 4.9.1.  Perhaps the backtrace reflects what was there when I logged on. What is in /usr/src/debug now is kde-runtime-4.9.1 and soprano-2.8.0.
Comment 12 Kevin Kofler 2012-09-24 17:07:52 EDT
Could you please attach another backtrace when this happens again, with a clean (not half-updated) session?
Comment 13 8sliceoflife1 2012-09-25 08:33:00 EDT
just turned the computer on and I got this error

backtrace_rating: 4
Package: nepomuk-core-4.9.1-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 14 Marco Vittorini Orgeas 2012-09-25 09:47:09 EDT
Yes I can confirm that on F17 after the upgrade to kde 4.9.1 out of 3 log-on I had 3(!) times the nepomuk service crashed while the desktop was initially loading.

Should be easily reproducible if you are on F17.
Comment 15 Rex Dieter 2012-09-25 10:06:32 EDT
apparently not so easily reproducible, else this would've been reported during the > month's worth of testing done on kde-4.9.x before this went to stable updates. :(  sorry.  we'll do our best to track this down asap, of course.
Comment 16 Lester Petrie 2012-09-25 10:27:43 EDT
I am not able to get a better backtrace than the one I have already submitted.  Nepomuk won't start now, It iterates through 4 or 5 tries (showing up in .xsession-errors) and quits.  Abrt says the error has already been submitted (this bug ID), and the backtrace is a couple of lines somewhere in Qt. I have had to completely turn off nepomuk in system services to make my desktop usable. Fortunately for me, I didn't use nepomuk anyway, so I am not out anything.
Comment 17 birdieateapickle 2012-09-26 10:52:00 EDT
1. Install fedora (KDE edition)
2. Turn on computer


backtrace_rating: 4
Package: nepomuk-core-4.9.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 18 flebber 2012-09-27 08:12:01 EDT
Nepomuk report error on boot. No other activity occurred prior to error.

backtrace_rating: 4
Package: nepomuk-core-4.9.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 19 Anouar Bellakha 2012-09-28 19:56:15 EDT
Cet incident est survenu lors d'un démarrage de Fedora 17 ( Beefy Miracle ).

backtrace_rating: 4
Package: nepomuk-core-4.9.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 20 Lester Petrie 2012-10-05 12:41:32 EDT
 I have updated to kde-4.9.2, and nepomuk is now running OK.
Comment 21 Michael 2012-10-09 04:53:27 EDT
every time i start my desktopPC nepomuk crashes, i dont know why ...

backtrace_rating: 4
Package: nepomuk-core-4.9.2-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 22 Marco Vittorini Orgeas 2012-10-09 06:41:12 EDT
(In reply to comment #20)
>  I have updated to kde-4.9.2, and nepomuk is now running OK.

I can confirm this: after the standard upgrade the problem seems to be gone!
Comment 23 Michael 2012-10-09 08:35:58 EDT
sorry, i commit the same bug - and i am also on the last version

System:  Fedora release 17 (Beefy Miracle)
  KDE:  4.9.2

i get a abrt msg. by any new boot of my system.
Comment 24 Marco Vittorini Orgeas 2012-10-09 08:48:03 EDT
(In reply to comment #23)
> sorry, i commit the same bug - and i am also on the last version
> 
> System:  Fedora release 17 (Beefy Miracle)
>   KDE:  4.9.2
> 
> i get a abrt msg. by any new boot of my system.

What auto-starting programs on boot trigger the nepomuk service to start on your system?
Comment 25 Sergio Monteiro Basto 2012-10-13 11:32:24 EDT
just startup kde after a reboot 

backtrace_rating: 4
Package: nepomuk-core-4.9.2-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 26 Ken DeChick 2012-10-16 16:38:00 EDT
No idea. I get this error almost every time a boot up a Fedora 16 or 17 machine. There are always neopunk errors!

backtrace_rating: 4
Package: nepomuk-core-4.9.2-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 27 nomahamann 2012-10-20 00:45:05 EDT
message just shows up as I turn on the computer each AM

backtrace_rating: 4
Package: nepomuk-core-4.9.2-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 28 Larry the Computer Guy 2012-10-31 11:15:36 EDT
running apper and it froze, 
"refreshing package cache, waiting for other tasks" i cancelled it
then i had to close it as it froze again checking for updates


backtrace_rating: 4
Package: nepomuk-core-4.9.2-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 29 Alexander Ioannou 2012-11-13 14:41:28 EST
Occured on start up.

backtrace_rating: 4
Package: nepomuk-core-4.9.2-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 30 dmwharris 2012-11-22 07:08:38 EST
Occured while installing updates to Fedora 17 installation.

backtrace_rating: 4
Package: nepomuk-core-4.9.3-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 31 Karel Volný 2012-11-23 04:09:16 EST
just log into KDE

backtrace_rating: 4
Package: nepomuk-core-4.9.2-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 32 Tomas Toth 2012-11-23 13:23:30 EST
Date/time shows that it happened during shutdown.

backtrace_rating: 4
Package: nepomuk-core-4.9.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 33 Frank Thrum 2012-11-28 13:30:20 EST
just starting kde (logging in)

backtrace_rating: 4
Package: nepomuk-core-4.9.3-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 34 Layne 2012-11-30 01:49:52 EST
I can confirm this bug, it happened during logon after installing and trying to use apper once, had to use Ctrl+Alt+F3 to do a yum upgrade, which got it working just fine.

Package: nepomuk-core-4.9.3-1.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 35 maryjane 2012-12-06 03:35:53 EST
May have something to do with a recent Linux Mint Updater

backtrace_rating: 4
Package: nepomuk-core-4.9.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 36 Frank Thrum 2012-12-13 12:00:46 EST
just after starting.
loggin in.
into kde.
I use dropbox. the dropbox service deamon is active at start.


backtrace_rating: 4
Package: nepomuk-core-4.9.3-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 37 Nikolai Maziashvili 2012-12-14 05:57:03 EST
Just rebooted system and got greeted by this error. By the way i get this error everytime i reboot the system.

backtrace_rating: 4
Package: nepomuk-core-4.9.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 38 reposer 2012-12-17 03:19:03 EST
Each time I log in (kde) I have the ugly nepomukservicestub icon in the task bar.

backtrace_rating: 4
Package: nepomuk-core-4.9.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 39 Juan Manuel 2012-12-19 18:30:09 EST
Only to start the netbook.

backtrace_rating: 4
Package: nepomuk-core-4.9.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 40 Richard Foster 2012-12-29 08:59:39 EST
Machine failed to shut down properly (appeared to hang on fedora logo), on startup recieved a bug report. UEFI ran through the POST screen as if it was aware there had been an error on shutdown, also.

backtrace_rating: 4
Package: nepomuk-core-4.9.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 41 Markus Reiter 2013-01-04 02:36:46 EST
Always on systemstart

backtrace_rating: 4
Package: nepomuk-core-4.9.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 42 reposer 2013-01-05 09:56:27 EST
1/5/2013
I have a new point of view.
After replacement of laptop accu I did not get the bug message anymore (up to  now).
I checked and put the old accu in again. The nepomuk bug appeared.
I did this 3 to 4 times to verify.
With new accu: no nepomuk stuff.
With old accu: nepomuk complains.
I observed another strange fact:

KDE power management system reported:
'battery capacity is 40%. This means your battery is broken and need replacement'.

In the KDE panel widget 'battery monitor' the message was: 
'100% charching'.

Could battery status something have to do with ability to file tagging?
And could nepomuk get confused (like me) with two comlete different messages?
Regards, Frank
Comment 43 Rex Dieter 2013-01-05 10:56:11 EST
Pardon my ignorance, but what do you mean by "accu" exactly?  battery?  other?
Comment 44 reposer 2013-01-05 12:14:27 EST
@Rex Dieter ( and the others)

Sorry for my ignorance.
I mean battery. In German this is "Akku".

I found in leo.org:
accumulator
Noun
1. Brit & Austral a rechargeable device for storing electrical energy
Collins Essential English Dictionary 2nd Edition 2006 © HarperCollins Publishers 2004, 2006
Comment 45 Bug Reporter 2013-01-07 03:37:34 EST
At any system start, I get this crash.

backtrace_rating: 4
Package: nepomuk-core-4.9.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 46 daramas444 2013-01-08 04:37:15 EST
I get this at startup

backtrace_rating: 4
Package: nepomuk-core-4.9.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 47 Carter Langley 2013-01-17 15:19:57 EST
Don't know how to reproduce this problem.
I update the system and rebooted and then it happened.


backtrace_rating: 4
Package: nepomuk-core-4.9.5-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 48 Gary Stainburn 2013-01-18 03:54:02 EST
My system is a clean install F17 x64 on a Dell Vostro 1510.
It doesn't happen every time but it does happen regularly.
I did originally try an upgrade from F16 but that totally stuffed up, hence the clean install
Comment 49 rqrv 2013-01-19 05:05:36 EST
Only turning on the machine, and after loging I receive a message saying that there is  a problem with nepomunk service and it was killed by SIGSEV (11) signal.
I don't know anymore.

My PC is an Acer V3 
8 core i7 processor 8 Gb Ram 8 Mb cache, and Fedora 17


backtrace_rating: 4
Package: nepomuk-core-4.9.5-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 50 Fedora End Of Life 2013-07-03 19:08:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 51 Fedora End Of Life 2013-07-31 21:33:16 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.